#include "../../std.h"

#include "se_ns_none.h"


SENameServerNone::SENameServerNone(const char* contact,const char* se_url):SENameServer(contact,se_url) {
}

SENameServerNone::~SENameServerNone(void) {
}

int SENameServerNone::Get(SEAttributes& file) {
  return 0;
}

int SENameServerNone::Register(SEFile& file,bool require_unique) {
  if(!file.state_reg(REG_STATE_ANNOUNCED)) return -1;
  return 0;
}

int SENameServerNone::Unregister(SEFile& file,bool allow_last) {
  if(!file.state_reg(REG_STATE_LOCAL)) return -1;
  return 0;
}

int SENameServerNone::Modify(SEFile& file) {
  return 0;
}
